/*	/bb/cleaner.less		*/
html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  vertical-align: top;
}
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}
html {
  height: 100%;
}
body {
  line-height: normal;
  font-family: "PlayRegular", "Arial";
  color: #000;
  height: 100%;
  cursor: default;
}
blockquote,
q {
  quotes: none;
}
blockquote:before,
blockquote:after,
q:before,
q:after {
  content: '';
  content: none;
}
a {
  color: #ccc;
  text-decoration: none;
}
a:hover {
  text-decoration: none;
}
textarea,
select,
input,
iframe {
  box-sizing: border-box;
}
textarea {
  resize: none;
}
td {
  vertical-align: top;
}
th {
  text-align: center;
  font-weight: bold;
}
p {
  margin: 0px 0px 2px 0px;
}

/*	/bb/api/RTF.less		*/
.api-RTF + * {
  box-sizing: border-box;
  height: 100% !important;
}
.api-RTF + *::-webkit-scrollbar {
  width: 6px;
  height: 8px;
}
.api-RTF + *::-webkit-scrollbar-track {
  border-radius: 0px;
  background: rgba(255, 255, 255, 0);
}
.api-RTF + *::-webkit-scrollbar-thumb {
  border-radius: 0px;
  background: gold;
}
.api-RTF + *::-webkit-scrollbar-thumb:hover {
  background: #ccac00;
}
.api-RTF + *::-webkit-scrollbar-thumb:active {
  background: #998100;
}
.mc-rtf {
  max-width: 100vw;
  min-width: 40rem;
  width: 100%;
  max-height: calc(100vh - 3.5rem);
}
.mc-rtf textarea {
  vertical-align: top;
  width: 100%;
  height: 100%;
}
.ck.ck-balloon-panel {
  z-index: 99999999 !important;
}
.ck.ck-editor__editable_inline {
  overflow: hidden !important;
}

/*	/bb/api/Panel.less		*/
.api-Panel {
  position: absolute;
  z-index: 3;
  overflow: hidden;
}
.api-Panel:empty {
  display: none;
}
.api-Panel.apx-body {
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
}
.api-Panel.apx-body::-webkit-scrollbar {
  width: 6px;
  height: 8px;
}
.api-Panel.apx-body::-webkit-scrollbar-track {
  border-radius: 0px;
  background: rgba(255, 255, 255, 0);
}
.api-Panel.apx-body::-webkit-scrollbar-thumb {
  border-radius: 0px;
  background: gold;
}
.api-Panel.apx-body::-webkit-scrollbar-thumb:hover {
  background: #ccac00;
}
.api-Panel.apx-body::-webkit-scrollbar-thumb:active {
  background: #998100;
}
.api-Panel.apx-left {
  top: 0;
  left: 0;
  bottom: 0;
  border-right: 1px solid rgba(0, 0, 0, 0.5);
}
.api-Panel.apx-right {
  top: 0;
  right: 0;
  bottom: 0;
  border-left: 1px solid rgba(0, 0, 0, 0.5);
}
.api-Panel.apx-top {
  left: 0;
  right: 0;
  top: 0;
  border-bottom: 1px solid rgba(0, 0, 0, 0.75);
}
.api-Panel.apx-bottom {
  left: 0;
  right: 0;
  bottom: 0;
  border-top: 1px solid rgba(0, 0, 0, 0.75);
}
.api-Panel.apx-body {
  overflow: auto;
}
.api-Panel.apx-body::-webkit-scrollbar {
  width: 0;
  height: 8px;
}
.api-Panel.apx-body::-webkit-scrollbar-track {
  border-radius: 10px;
  background: rgba(255, 255, 255, 0);
}
.api-Panel.apx-body::-webkit-scrollbar-thumb {
  border-radius: 10px;
  background: rgba(255, 255, 255, 0.3);
}
.api-Panel.apx-body::-webkit-scrollbar-thumb:hover {
  background: rgba(255, 255, 255, 0.1);
}
.api-Panel.apx-body::-webkit-scrollbar-thumb:active {
  background: rgba(255, 255, 255, 0.5);
}
.mc-pad-gray {
  background: rgba(0, 0, 0, 0.9);
  background: linear-gradient(to top, rgba(0, 0, 0, 0.6) 0%, rgba(0, 0, 0, 0.75) 100%);
}

/*	/bb/api/Ace.less		*/
.api-Ace {
  width: 100%;
}

/*	/bb/api/Console.less		*/
.api-Console {
  opacity: 0.1;
}
.api-Console:focus {
  opacity: 1;
}

/*	/bb/api/Graph.less		*/
.api-Graph {
  width: 100%;
  height: 100%;
  display: block;
  cursor: grab;
  touch-action: none;
  user-select: none;
}
.api-Graph:active {
  cursor: grabbing;
}
.api-Graph canvas {
  width: 100%;
  height: 100%;
}

/*	/bb/win.panel.less		*/
#_win_panel {
  position: fixed;
  z-index: 99999;
  border-radius: 0px 4px 0px 0px;
  border-bottom: 0;
  border-left: 0;
  white-space: nowrap;
  text-align: left;
  user-select: none;
  font-family: monospace;
  font-size: 0;
  padding: 0px;
  left: var(--left);
  bottom: 0px;
}
#_win_panel > * {
  display: inline-block;
}
#_win_panel .ux-menu {
  display: inline-block;
}
#_win_panel div[data-node] {
  transition: all 0.15s ease-in-out 0s;
  background-color: rgba(15, 15, 15, 0.7);
  border-radius: 3px/5px;
  display: inline-block;
  color: #fff;
  padding: 0px 4px;
  margin: 0px 4px 0 0;
  line-height: 20px;
  border-radius: 1px;
  font-size: 12px;
  border: 1px solid rgba(0, 0, 0, 0.2);
  letter-spacing: 0px;
}
#_win_panel div[data-node]:hover {
  border: 1px solid rgba(0, 0, 0, 0.5);
}
#_win_panel div[data-node][visible="true"] {
  text-shadow: 0px 0px 1px rgba(0, 0, 0, 0.5);
  background: rgba(0, 255, 255, 0.405);
  background: linear-gradient(to top, rgba(0, 166, 255, 0.3) 0%, rgba(0, 166, 255, 0.15) 100%);
}
#_win_panel div[data-node][selected="true"] {
  text-shadow: none;
  background: rgba(0, 255, 0, 0.55);
  background: radial-gradient(ellipse at center, rgba(0, 160, 0, 0.5) 0%, rgba(0, 160, 0, 0.1) 100%);
}
#_win_panel div[data-node]:active {
  background-color: rgba(31, 160, 31, 0.5) !important;
}

/*	/bb/object/drag.less		*/
.core_point > *[dragged] {
  opacity: 0.15 !important;
}

/*	/bb/position.less		*/
.p-a {
  position: absolute;
}
.p-r {
  position: relative;
}
.pa-t {
  top: 0;
}
.pa-r {
  right: 0;
}
.pa-rt {
  top: 0;
  right: 0;
}
.z-1 {
  z-index: 5;
}
.z-2 {
  z-index: 9;
}
.z-3 {
  z-index: 49;
}

/*	/bb/console.less		*/
#console {
  display: inline-block;
  overflow: visible;
  padding: 1px 1px 0 0 !important;
  box-sizing: border-box;
  font-family: monospace;
  font-size: 16px;
}
#console::-webkit-scrollbar {
  width: 6px;
  height: 8px;
}
#console::-webkit-scrollbar-track {
  border-radius: 0px;
  background: rgba(255, 255, 255, 0);
}
#console::-webkit-scrollbar-thumb {
  border-radius: 0px;
  background: gold;
}
#console::-webkit-scrollbar-thumb:hover {
  background: #ccac00;
}
#console::-webkit-scrollbar-thumb:active {
  background: #998100;
}
#console_input {
  background-color: rgba(0, 0, 0, 0.5);
  font-family: monospace;
  font-size: 16px;
  color: #fff;
  border-top: 1px solid rgba(255, 255, 255, 0.15);
  border-left: 0;
  border-bottom: 0;
  width: 0;
  height: 20px;
  font-size: 12px;
  outline: none;
  padding: 0 4px;
}
#console_input:focus {
  width: 192px;
  background-color: rgba(0, 0, 0, 0.85);
  margin-right: 2px;
}
#console_output {
  font-family: monospace;
  font-size: 16px;
  position: fixed;
  left: var(--left);
  bottom: 20px;
  background-color: rgba(0, 0, 0, 0.85);
  color: #fff;
  border: 1px solid rgba(0, 0, 0, 0.5);
  border-radius: 0 4px 4px 0;
  max-height: 80vh;
  text-align: left;
  overflow-y: scroll;
}
#console_output:empty {
  display: none;
}
#console_output::-webkit-scrollbar {
  width: 6px;
  height: 8px;
}
#console_output::-webkit-scrollbar-track {
  border-radius: 0px;
  background: rgba(255, 255, 255, 0);
}
#console_output::-webkit-scrollbar-thumb {
  border-radius: 0px;
  background: gold;
}
#console_output::-webkit-scrollbar-thumb:hover {
  background: #ccac00;
}
#console_output::-webkit-scrollbar-thumb:active {
  background: #998100;
}
#console_output hr {
  border-top: 0;
  border-bottom: 1px dashed rgba(255, 255, 255, 0.75);
  margin: 0.5rem 0;
}
#console_output i {
  color: lime;
  font-weight: bold;
}
#console_output b {
  color: red;
}
#console_output pre {
  color: #fff;
  margin: 0px 0px 0px 0px;
  padding: 4px;
  line-height: 20px;
  font-size: 12px;
  border-right: 1px solid rgba(0, 0, 0, 0.1);
  border-bottom: 1px solid rgba(0, 0, 0, 0.15);
}
#console_output pre:last-child {
  border-bottom: 0;
}

/*	/bb/global.less		*/
.g-table {
  width: 100%;
  border-collapse: collapse;
}
.g-table thead {
  font-weight: bold;
  position: sticky;
  z-index: 9;
  top: 2rem;
  background-color: #555;
  color: #fff;
}
.g-table thead td,
.g-table thead th {
  padding: 0.25rem 0.25rem;
  font-size: 0.5rem;
  letter-spacing: 1px;
  text-align: right;
  border-left: 1px dashed rgba(255, 255, 255, 0.1);
  border-right: 2px dashed rgba(0, 0, 0, 0.1);
}
.g-table tbody td {
  font-size: 0.75rem;
  padding: 0 0.25rem;
  line-height: 1.25;
  border-left: 1px solid rgba(255, 255, 255, 0.25);
  border-right: 2px solid rgba(0, 0, 0, 0.15);
}
.g-table tbody tr[selected] td {
  color: #fff;
  background-color: #003f7f !important;
}
.g-table tbody tr:nth-child(2n) td {
  background-color: rgba(0, 0, 0, 0.1);
  border-bottom: 1px solid rgba(0, 0, 0, 0.15);
}
.g-table tbody tr:hover td {
  color: #fff;
  background-color: rgba(0, 0, 0, 0.25);
}
.g-table tbody tr:hover[selected] td {
  color: #fff;
  background-color: #001f3f !important;
}
.g-table .o-nw {
  white-space: nowrap;
}
.g-table .o-thin {
  width: 1px;
}
.g-table .o-l {
  text-align: left;
}
.g-table .o-r {
  text-align: right;
}
.g-table .o-number {
  letter-spacing: 1px;
  text-align: right;
  font-family: monospace, Consolas;
}
.g-table .o-pale {
  color: #444;
}
.g-table .o-c {
  text-align: center;
}

/*	/bb/cx/eCX.less		*/
.x-ecx {
  width: 100%;
  height: 100%;
  background-color: #000;
  font-size: 1rem;
  padding-bottom: 3rem;
}
.x-ecx thead th {
  font-size: 1rem;
  white-space: nowrap;
}
.x-ecx tbody td {
  font-size: 1rem;
  padding: 0 0 !important;
  line-height: 1.75rem;
}
.x-ecx tbody input {
  height: 2rem;
  padding: 0 0.5rem;
  background-color: rgba(255, 255, 255, 0.1);
  min-width: 10rem;
  width: 100%;
  outline: none;
  border: 0;
  color: #fff;
}

/*	/bb/cx/cx.option.less		*/
.cx-option select {
  height: 32px;
  border-radius: 4px;
  width: 100%;
  padding: 0 8px;
}
.cx-option .ux-header {
  font-weight: bold;
}
.cx-option .ux-color-list {
  text-align: right;
  white-space: normal;
}
.cx-option .ux-color-list .ux-color {
  display: inline-block;
  border: 1px solid rgba(0, 0, 0, 0.1);
  border-radius: 4px;
  width: 24px;
  height: 24px;
  margin: 4px;
  transition: all 0.25s ease-in-out 0s;
}
.cx-option .ux-color-list .ux-color:hover {
  border: 1px solid rgba(0, 0, 0, 0.65);
}
.cx-option .ux-color-list .ux-color:active,
.cx-option .ux-color-list .ux-color[selected] {
  border: 1px solid rgba(0, 0, 0, 0.5);
  transform: rotate(45deg);
}

/*	/bb/cx/cx.select.less		*/
.cx-select .ux-list {
  display: flex;
  align-items: end;
  flex-flow: row wrap;
  gap: 0.5rem;
  max-width: 40rem;
  font-size: 1rem;
}
.cx-select .ux-list select {
  width: 100%;
  height: 2rem;
  font-size: 1rem;
  border-radius: 0.25rem;
  outline: none;
  padding: 0 0.5rem;
}
.cx-select .ux-item {
  position: relative;
  flex: 1 0 2rem;
  box-shadow: 0px 0px 3px rgba(0, 0, 0, 0.65), 1px 1px 1px rgba(255, 255, 255, 0.35);
  display: inline-block;
  width: 2rem;
  height: 2rem;
  overflow: hidden;
  transform: scale(1);
  transition: all 0.15s ease-out 0s;
}
.cx-select .ux-item input[type="radio"] {
  display: none;
  /*
			position:			absolute;

			z-index:			1;

			right:				0;
			bottom:				0;

			height:				0.5rem !important;
			width:				0.5rem;

			margin:				0 !important;
*/
}
.cx-select .ux-item[selected] {
  transform: scale(0.75);
}

/*	/bb/ace.less		*/
.ace_search_field {
  color: #000;
}
.ace_editor {
  font-size: 12px;
  margin: 0;
}
.source_editor {
  width: 440px;
}
.source_editor textarea {
  height: 300px;
}
@media screen and (min-width: 1200px) {
  .source_editor {
    width: 512px;
  }
  .source_editor textarea {
    height: 300px;
  }
}
@media screen and (min-width: 1600px) {
  .source_editor {
    width: 600px;
  }
  .source_editor textarea {
    height: 400px;
  }
}
@media screen and (min-width: 1800px) {
  .source_editor {
    width: 720px;
  }
  .source_editor textarea {
    height: 500px;
  }
}
.ace_scrollbar {
  width: 5px;
}
.ace_scrollbar::-webkit-scrollbar {
  width: 6px;
  height: 8px;
}
.ace_scrollbar::-webkit-scrollbar-track {
  border-radius: 0px;
  background: rgba(255, 255, 255, 0);
}
.ace_scrollbar::-webkit-scrollbar-thumb {
  border-radius: 0px;
  background: gold;
}
.ace_scrollbar::-webkit-scrollbar-thumb:hover {
  background: #ccac00;
}
.ace_scrollbar::-webkit-scrollbar-thumb:active {
  background: #998100;
}
.ace_scroller {
  right: 5px !important;
}
pre.ace_editor {
  box-sizing: border-box;
}

/*	/http/menu.less		*/
.mc-popup {
  position: fixed;
  z-index: 999999;
  white-space: nowrap;
  user-select: none;
  box-shadow: 0 0 1px rgba(0, 0, 0, 0.5);
  font-size: 16px;
  color: #fff;
  background-color: rgba(0, 0, 0, 0.75);
  z-index: 999999 !important;
}
.mc-popup table {
  width: 100%;
  min-width: 192px;
  border-spacing: 0;
}
.mc-popup table td {
  vertical-align: middle;
  padding: 4px;
}
.mc-popup table tr:hover {
  background-color: rgba(31, 160, 31, 0.5);
}
.mc-popup menu > li {
  white-space: nowrap;
}
.mc-popup hr {
  margin: 0;
  border-top: 1px dashed rgba(255, 255, 255, 0.5);
  border-bottom: 0;
}
.mc-popup ul {
  padding: 0;
  margin: 0 !important;
  list-style: none;
  line-height: 20px;
}
.mc-popup li {
  list-style: none;
  padding: 0px 4px;
  letter-spacing: 1px;
  line-height: 20px;
  overflow: hidden;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  align-items: center;
  border-left: 1px solid rgba(255, 255, 255, 0.25);
  border-right: 1px solid rgba(0, 0, 0, 0.5);
}
.mc-popup li .mx-icon {
  text-align: left;
  flex-basis: 28px;
  flex-grow: 0;
  flex-shrink: 0;
}
.mc-popup li .mx-icon img {
  box-sizing: border-box;
  height: 16px;
  margin: 0px 0 0 2px;
  filter: saturate(0%) brightness(200%);
}
.mc-popup li > * {
  flex-basis: 100%;
  flex-grow: 1;
}
.mc-popup li .ux-info {
  font-size: 12px;
  white-space: nowrap;
  flex-basis: 32px;
  flex-shrink: 1;
  flex-grow: 0;
  padding-left: 8px;
  padding-right: 2px;
  color: gold;
}
.mc-popup li:hover {
  background-color: rgba(66, 129, 244, 0.9);
  color: #fff;
}
.mc-popup li.no-hover {
  background-color: inherit;
}
.mc-popup li[active] {
  color: #f4d26f;
  font-weight: bold;
}
.mc-popup li[header] {
  text-align: center;
  color: #fff;
  background-color: rgba(0, 0, 0, 0.75);
  font-weight: bold;
  border-bottom: 1px solid rgba(255, 255, 255, 0.25);
  padding: 12px;
}
.mc-popup li[disabled] {
  color: #999;
}
.mc-popup li .fa {
  width: 16px;
  text-align: center;
}
.mc-popup div.item {
  display: inline-block;
}
.mc-popup .item {
  color: #555;
  padding: 4px;
}
.mc-popup .item:hover {
  background-color: #4281f4;
  color: #fff;
}
.mc-popup wrap {
  display: block;
  padding: 0;
  position: relative;
  max-width: 320px;
  white-space: normal;
  border-right: 1px solid rgba(255, 255, 255, 0.35);
}
.mc-popup wrap menu {
  position: absolute;
  border-left: 1px solid rgba(0, 0, 0, 0.35);
  z-index: 1;
  left: 100%;
  display: none;
  background-color: rgba(0, 0, 0, 0.75);
  box-shadow: 0 0 1px rgba(0, 0, 0, 0.5);
}
.mc-popup wrap:hover > menu {
  display: block;
}
.mc-popup .ux-hotkey {
  text-align: right;
  width: 1px;
}
.mc-popup .ux-icon {
  width: 24px;
  height: 24px;
  border-right: 1px solid rgba(255, 255, 255, 0.15);
}
.mc-popup .ux-icon > * {
  width: 24px;
  height: 24px;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center center;
}
.mc-popup .ux-text {
  padding: 4px;
}
.mc-popup .ux-title {
  text-align: left;
  font-size: 16px;
  line-height: 24px;
}
.mc-popup .o-vis {
  display: block !important;
}
@media (max-width: 500px) {
  .mc-popup {
    font-size: 8px;
  }
  .mc-popup .ux-title,
  .mc-popup .ux-info {
    font-size: 8px;
  }
  .mc-popup ul,
  .mc-popup li {
    line-height: 12px;
  }
  .mc-popup ul .ux-info,
  .mc-popup li .ux-info {
    font-size: 8px;
  }
}

/*	/http/grid.less		*/
.html_grid {
  position: relative;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  height: 100%;
}
.html_grid > *[data-slot] {
  flex: 1 1 50%;
  height: calc(100% - 2.5rem - 1px);
}
.html_grid > *[hide] {
  display: none;
}
.html_grid > .ux-cp {
  position: sticky;
  flex: 0 0 100%;
  height: 2.5rem;
  z-index: 999;
  border-bottom: 1px solid #222;
  top: 0;
  left: 0;
  right: 0;
  background-color: #444;
}
.html_grid > .ux-cp .ux-tab-list {
  display: inline-flex;
  height: 2.5rem;
  align-items: end;
}
.html_grid > .ux-cp .ux-tab-list .ux-tab {
  position: relative;
  flex: 1 1 5rem;
  background-color: #333;
  color: #fff;
  border-radius: 0.5rem 0.5rem 0 0;
  margin: 0 0rem 0 0.25rem;
  padding: 0rem 1.35rem 0 0.5rem;
  box-sizing: border-box;
  font-size: 1rem;
  line-height: 2rem;
  border: 1px solid rgba(255, 255, 255, 0.1);
  border-bottom-width: 0;
  user-select: none;
}
.html_grid > .ux-cp .ux-tab-list .ux-tab .ux-close {
  position: absolute;
  display: none;
  z-index: 9;
  right: 0.125rem;
  top: 50%;
  transform: translate(0%, -50%);
  height: 0.75rem;
  padding: 0.25rem;
}
.html_grid > .ux-cp .ux-tab-list .ux-tab[hide] {
  opacity: 0.25;
}
.html_grid > .ux-cp .ux-tab-list .ux-tab:hover {
  color: gold;
}
.html_grid > .ux-cp .ux-tab-list .ux-tab:hover img {
  display: block;
}
.html_grid > .ux-cp .ux-tab-list .ux-tab:active {
  color: #ccc;
}

/*	/http/basic.less		*/
.d- {
  display: none;
}
.f-r {
  float: right;
}
.f-l {
  float: left;
}
.f-c,
.f- {
  clear: both;
}
.ws-nw {
  white-space: nowrap;
}
body > .skin {
  width: 100%;
  height: 100%;
}